---
title: "Get child taxonomy collection nodes"
description: "Get child taxonomy collection nodes by node ID."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/taxonomy-collection/get-child-taxonomy-collection-nodes'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/taxonomy-collection/get-child-taxonomy-collection-nodes.md'
---
# Get child taxonomy collection nodes

Get child taxonomy collection nodes by node ID.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /taxonomies/children.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Query Parameters

* `limit`

  string (optional)

  The quantity limit of taxonomy collection nodes to be queried.<br/>Value range: 1-250<br/>Default Value: `50`

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/taxonomies/children.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `parent_id`

  string (optional)

  The unique identifier for the parent node. If the parent node is not specified,the list of root nodes will be queried.<br/>
  Maximum length: 64

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `taxonomies`

  array<object>

  Taxonomy collection node information.

  * `is_root`

    boolean

    Indicate whether the node is a root node. Valid values are:  
    - `true`: It is a root node.  
    - `false`: It is not a root node.

  * `parent_id`

    string

    The unique identifier for the parent node.

  * `collection_id`

    string

    The unique identifier for the collection.

  * `id`

    string

    The unique identifier for the taxonomy collection node.

  * `is_leaf`

    boolean

    Indicate whether the node is a leaf node. Valid values are:  
    - `true`: It is a leaf node.  
    - `false`: It is not a leaf node.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get child taxonomy collection nodes"
  ],
  "description": "Get child taxonomy collection nodes by node ID.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "KPmHmR3o",
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "description": "The quantity limit of taxonomy collection nodes to be queried.<br/>Value range: 1-250<br/>Default Value: `50`",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The quantity limit of taxonomy collection nodes to be queried.<br/>Value range: 1-250<br/>Default Value: `50`",
        "type": "string"
      },
      "examples": {
        "Get child taxonomy collection nodes by node ID": {
          "value": "10"
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/taxonomies/children.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate a specific page. \nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?\nlimit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`, the value of page_info is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string"
      },
      "examples": {
        "Get child taxonomy collection nodes by node ID": {
          "value": "eyJzaW5jZUlkIjoiNzAwNDIyMDM3MzY4OTk2NDU3NCIsImRpcmVjdGlvbiI6Im5leHQiLCJwYXJlbnRfaWQiOiIwIn0="
        }
      }
    },
    {
      "name": "parent_id",
      "in": "query",
      "description": "The unique identifier for the parent node. If the parent node is not specified,the list of root nodes will be queried.<br/>\nMaximum length: 64",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "parent_id",
        "description": "The unique identifier for the parent node. If the parent node is not specified,the list of root nodes will be queried.<br/>\nMaximum length: 64",
        "type": "string",
        "example": "7004220176356349981"
      },
      "example": "7004220176356349981",
      "examples": {
        "Get child taxonomy collection nodes by node ID": {
          "value": "7004220843317794849"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/taxonomies/children.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/taxonomies/children.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "taxonomies": {
                "name": "taxonomies",
                "description": "Taxonomy collection node information.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "is_root": {
                      "name": "is_root",
                      "description": "Indicate whether the node is a root node. Valid values are:  \n- `true`: It is a root node.  \n- `false`: It is not a root node.",
                      "type": "boolean"
                    },
                    "parent_id": {
                      "name": "parent_id",
                      "description": "The unique identifier for the parent node.",
                      "type": "string",
                      "example": "7004220176355549981"
                    },
                    "collection_id": {
                      "name": "collection_id",
                      "description": "The unique identifier for the collection.",
                      "type": "string",
                      "example": "16050375155238626683133099"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the taxonomy collection node.",
                      "type": "string",
                      "example": "7004220176356349981"
                    },
                    "is_leaf": {
                      "name": "is_leaf",
                      "description": "Indicate whether the node is a leaf node. Valid values are:  \n- `true`: It is a leaf node.  \n- `false`: It is not a leaf node.",
                      "type": "boolean"
                    }
                  },
                  "example": {
                    "is_leaf": null,
                    "is_root": null,
                    "parent_id": "7004220176355549981",
                    "collection_id": "16050375155238626683133099",
                    "id": "7004220176356349981"
                  }
                },
                "example": [
                  {
                    "id": "7004220176356349981",
                    "is_leaf": null,
                    "is_root": null,
                    "parent_id": "7004220176355549981",
                    "collection_id": "16050375155238626683133099"
                  }
                ]
              }
            },
            "example": {
              "taxonomies": [
                {
                  "collection_id": "16050375155238626683133099",
                  "id": "7004220176356349981",
                  "is_leaf": null,
                  "is_root": null,
                  "parent_id": "7004220176355549981"
                }
              ]
            }
          },
          "examples": {
            "Get child taxonomy collection nodes by node ID": {
              "description": "Query the child nodes of the specified node",
              "value": {
                "taxonomies": [
                  {
                    "is_leaf": false,
                    "is_root": true,
                    "parent_id": null,
                    "collection_id": "12269074566796568327991495",
                    "id": "7004220176356349981"
                  },
                  {
                    "is_root": true,
                    "parent_id": null,
                    "collection_id": "12269074567622510671831495",
                    "id": "7004220373689964574",
                    "is_leaf": false
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/taxonomies/children.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get child taxonomy collection nodes",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```